#pragma once
#include "FLoginStateBase.h"
#include "User/Data/CsdkUser.h"

class FUserLoginState : public FLoginStateBase
{
public:
	FUserLoginState(FLoginManager& InManager,const FCsdkUser& InUser)
	:FLoginStateBase(InManager),User(InUser){}

	virtual void Enter() override;
private:
	FCsdkUser User;
};

